---
title: Get
url: https://www.tines.com/docs/api/records/artifacts/get/
updated: 2025-10-27T16:31:33+00:00
description: Retrieve an individual record artifact (large text field).
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Records](https://www.tines.com/llm/docs/api/records.md) › [Artifacts](https://www.tines.com/llm/docs/api/records/artifacts.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/records/artifacts/get/)*

## Description

Retrieve an individual record artifact (large text field).

Please note that the Artifacts (large text) field types return only the ID of the Artifacts, not the data itself when using the [GET Records API](https://www.tines.com/api/records/get) or [List Records API](https://www.tines.com/api/records/list). To access the actual contents, you need to make a separate request to this endpoint using that ID as the `artifact_id` parameter.

## Request

HTTP Method: **GET**

| Path Parameter | Description                |
| -------------- | -------------------------- |
| record_id      | ID of the record.          |
| artifact_id    | ID of the record artifact. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/records/<<record_id>>/artifacts/<<artifact_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a record artifact.

### Field description

| Parameter    | Description                                                                        |
| ------------ | ---------------------------------------------------------------------------------- |
| id           | The record artifact ID.                                                            |
| value        | The record artifact's value.                                                       |
| record_field | JSON containing the id and name of the record field.                               |
| created_at   | ISO 8601 Timestamp representing the creation date and time of the record artifact. |
| updated_at   | ISO 8601 Timestamp representing the last updated date and time of record artifact. |

### Sample response

```json
{
  "id": 1,
  "value": "artifact value",
  "record_field": {
    "id": 1,
    "name": "record field name"
  },
  "created_at": "2024-02-16T15:37:39Z",
  "updated_at": "2024-02-16T15:37:39Z"
}
```
